Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.encoding
Class HexBinaryEncoder

`java.lang.Object
oracle.security.xmlsec.wss.encoding.HexBinaryEncoder`

All Implemented Interfaces:
  BinaryDataEncoder

public class HexBinaryEncoder
extends java.lang.Object
implements BinaryDataEncoder

Implements hexadecimal encoding of the binary data.

Constructor Summary
`HexBinaryEncoder()`

Method Summary
`byte[]` | `decode(java.lang.String encoded)` Parse the hexadecimal String.
`java.lang.String` | `encode(byte[] bytes)` Encode the binary data as a hexadecimal characters.
`java.lang.String` | `getEncodingType()` Get the ValueType for this encoder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HexBinaryEncoder

    public HexBinaryEncoder()

Method Detail

### encode

    public java.lang.String encode(byte[] bytes)

  Encode the binary data as a hexadecimal characters.
  Specified by:
    `encode` in interface `BinaryDataEncoder`
  Parameters:
    `bytes` - The raw bytes to encode.
  Returns:
    The hexadecimal String representation.

### decode

    public byte[] decode(java.lang.String encoded)

  Parse the hexadecimal String.
  Specified by:
    `decode` in interface `BinaryDataEncoder`
  Parameters:
    `encoded` - The hexadecimal String.
  Returns:
    The raw bytes.

### getEncodingType

    public java.lang.String getEncodingType()

  Get the ValueType for this encoder.
  Specified by:
    `getEncodingType` in interface `BinaryDataEncoder`
  Returns:
    The `URI` representing this encoder.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.